## kdelibs-3.0.1.tar.bz2

=== bsd-port/Makefile ===
# New ports collection makefile for:	KDE libraries 2
#
# $Id: Makefile,v 1.8 2001/01/29 08:27:19 garbanzo Exp $
#

PORTNAME=	kdelibs
PORTVERSION=	2.1dailypkg
PORTREVISION=	3
CATEGORIES=	x11 kde

MAINTAINER=	jazepeda@pacbell.net

LIB_DEPENDS=	tiff.4:${PORTSDIR}/graphics/tiff \
		audiofile.0:${PORTSDIR}/audio/libaudiofile \
		mimelib.1:${PORTSDIR}/converters/kdesupport2

DISTFILES=	
USE_OPENSSL=	yes
USE_QT2=	yes
MOC?=		${X11BASE}/bin/moc2
SOMAJOR=	4
SOMINOR=	0
USE_BZIP2=	yes
USE_NEWGCC=	yes
INSTALLS_SHLIB=	yes
GNU_CONFIGURE=	yes
CONFIGURE_ARGS+=--with-qt-includes=${X11BASE}/include/qt2 \
		--with-qt-libraries=${X11BASE}/lib \
		--with-extra-libs=${LOCALBASE}/lib
CONFIGURE_ENV=	CPPFLAGS="-I${LOCALBASE}/include -I${PREFIX}/include" \
		MOC="${MOC}" LIBQT="-lqt2" LIBQTFILE="libqt2" \
		LIBS="-Wl,-export-dynamic -L${LOCALBASE}/lib -ljpeg -lgcc -lstdc++"
USE_GMAKE=	yes
MAKE_ENV=	SOMAJOR="${SOMAJOR}" SOMINOR="${SOMINOR}"
PLIST_SUB+=	LIBVER="${SOMAJOR}"
WRKSRC=		${WRKDIR}/kdelibs_buildroot
CONFIGURE_SCRIPT= ../../../configure

.include <bsd.port.pre.mk>

pre-fetch:
.if ${OSVERSION} <= 410002
	@${ECHO}
	@${ECHO} "			NOTICE"
	@${ECHO}
	@${ECHO} "Your OpenSSL installation could be out of date.  This is"
	@${ECHO} "just a warning, but if your system's world was built on"
	@${ECHO} "sources earlier than August 20 along RELENG_4 or older,"
	@${ECHO} "then KDE2 will not build with SSL support."
	@${ECHO}
.endif

# We need to go through Makefile.cvs before anything else.
pre-configure:
	cd ..;rm -f subdirs;${MKDIR} ${WRKSRC};${GMAKE} -f Makefile.cvs
.for NUM in 1 3
	(find ${WRKSRC} -name Makefile.in | xargs ${PERL} -pi -e \
		"s@version-info ${NUM}:0@version-info ${SOMAJOR}:${SOMINOR}@g")
.endfor

# This should clean the KDE target pretty well
pre-clean:
	rm -rf ${WRKSRC}

post-install:
.for LIB in DCOP kab kdecore kdesu kdeui kfile kformula kio kjs \
	    kparts kspell ksycoca kjava
	@${LN} -sf ${PREFIX}/lib/lib${LIB}.so.${SOMAJOR} ${PREFIX}/lib/lib${LIB}.so
.endfor
.for LIB in artsc artsflow artsflow_idl kmid kmedia2_idl qtmcop soundserver_idl
	@${LN} -sf ${PREFIX}/lib/lib${LIB}.so.0 ${PREFIX}/lib/lib${LIB}.so
.endfor

.include <bsd.port.post.mk>

=== debian/changelog ===
kdelibs (4:3.0.1-0) unstable; urgency=low

  * New upstream.
  * rebuilt debian dir.

 -- Christopher L Cheney <ccheney@debian.org>  Tue, 16 Apr 2002 22:00:00 -0500

kdelibs (4:2.2.2-13) unstable; urgency=high

  * Fixed kdelibs-dev dependency should be libpng2-dev

 -- Christopher L Cheney <ccheney@debian.org>  Fri,  1 Mar 2002 17:00:00 -0600

kdelibs (4:2.2.2-12) unstable; urgency=high

  * New maintainer.
  * Remove Build-Depends on libglib1.3-dev since it has unstable ABI
    (Closes: #133171, #134168)
  * added suggests libjpeg-mmx-progs | libjpeg-progs, netpbm (Closes: #129094)

 -- Christopher L Cheney <ccheney@debian.org>  Thu, 28 Feb 2002 13:00:00 -0600

kdelibs (4:2.2.2-11) unstable; urgency=low

  * Adopting orphaned package, thanks to Ivan for all the great work over the
    years.

 -- Daniel Stone <daniel@sfarc.net>  Fri,  4 Jan 2002 09:14:46 -0500

kdelibs (4:2.2.2-10) unstable; urgency=low

  * Fix Deps (Closes: #126232)
  * Change nas-dev suggests to depends
  * A Couple upstream fixes

 -- Ivan E. Moore II <rkrusty@debian.org>  Thu, 27 Dec 2001 23:20:00 -0700

kdelibs (4:2.2.2-9) unstable; urgency=low

  * Move all non-module .la files from /usr/lib into -dev package.  We leave 
    all the .la files out of /usr/lib/kde2 and those that may not be normal
    libraries out of /usr/lib
  * Fix spelling error (Closes: #124989)

 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 17 Dec 2001 22:00:00 -0700

kdelibs (4:2.2.2-8) unstable; urgency=low

  * Depend on libfam-dev (Closes: #124264)

 -- Ivan E. Moore II <rkrusty@debian.org>  Sun, 16 Dec 2001 17:21:00 -0700

kdelibs (4:2.2.2-7) unstable; urgency=low

  * Break out bin files from kdelibs3 so that we can interoperate with
    kdelibs4 easily.
  * Fix deviceman.cc (Closes: #124132)

 -- Ivan E. Moore II <rkrusty@debian.org>  Fri, 14 Dec 2001 18:28:00 -0700

kdelibs (4:2.2.2-6) unstable; urgency=low

  * sync with upstream
  * Add in Build-Depends we normally get through libqt-dev so we can better
    follow policy
  * Add libfam-dev to Build-Depends
  * Version the libjpeg62-dev deps and add libjpeg to the depends for
    kdelibs-dev since some older versions don't have the .la file
  * Put bug reporting back to KDE so the users are happy and the developers
    are not.
  * Conflict (Closes: #123846)
  * Update dh-make files

 -- Ivan E. Moore II <rkrusty@debian.org>  Thu, 13 Dec 2001 00:57:00 -0700

kdelibs (4:2.2.2-5) unstable; urgency=low

  * sync with upstream
  * Build with nas support by popular demand
  * Update Build-Depends:  +nas-dev

 -- Ivan E. Moore II <rkrusty@debian.org>  Wed, 05 Dec 2001 06:04:00 -0700

kdelibs (4:2.2.2-4) unstable; urgency=low

  * sync with upstream
  * Build cleanup.  export CFLAGS/CXXFLAGS instead of the old method
  * Build-Depends cleanup
  * Dep cleanup.  Let's not conflict so much for the final release and lets
    not Recommend everything for the final release. (Closes: #118952)
  * Build with Xinerama support for i386 only (Closes: #116765)
  * Add in bits in debian/rules to make it easier to build optimized binaries
  * Remove old replaces/conflicts for keystone
  * Cleanup documentation for freeze
  * Cleanup dh-make files
  * Default to Reject for cookie acceptions. (Closes: #121750)
  * kio_https.* no longer exists and due to diversions we could end up 
    with the files existing but not tied to any package..so let's make
    sure to remove them.

 -- Ivan E. Moore II <rkrusty@debian.org>  Fri, 30 Nov 2001 12:39:00 -0700

kdelibs (4:2.2.2-3) unstable; urgency=low

  * a couple upstream fixes
  * debianrules cleanup
  * More lintian cleanup
  * Remove stupid debug messages (Closes: #120647)
  * More work on BTS stuff.  Give 2 options for Help/Report Bug, one to
    check current reports and one to report.

 -- Ivan E. Moore II <rkrusty@debian.org>  Sun, 25 Nov 2001 20:11:00 -0700

kdelibs (4:2.2.2-2) unstable; urgency=low

  * Remove recommends for libssl as I'm breaking policy by recommending
    something outside of main.  Will put this back once libssl goes into
    main.
  * libkmid | libkmid-alsa to help users out a bit

 -- Ivan E. Moore II <rkrusty@debian.org>  Thu, 22 Nov 2001 20:14:00 -0700

kdelibs (4:2.2.2-1) unstable; urgency=low

  * New upstream version
  * Provide replace/etc bits for easier migration to/from kde3
  * Update python deps (Closes: #118208)
  * Fix glib inclusion bits for gmcop stuff...however we are still
    not going to build with it until someone has a need for it.
  * Remove some other hacks
  * Update deps for qt as qt 2.3.2 has a fix which breaks a piece of kdelibs
    so let's make sure we match up across the board.
  * Update shlibs for the same reason
  * Use libasound2
  * Fix printing to files with spaces in the name (Closes: #117962)
  * Fix build with new libxml2 (Closes: #118638)
  * Update build-depends
  * Fix overwrite issues (Closes: #118802)
  * Updates to take care of changes in Qt 2.3.2 (Closes: #118868)
  * Do away with /etc/kderc and provide a link from /etc/kde2 to
    /usr/share/kde2/config.  Hardcode the config dir to /usr/share/kde2/config
    instead of /usr/share/config.  Can't hardcode it to /etc/kde2 since 
    the /usr part of it all is pulled from the prefix.  This will work tho
  * Move certain -dev binaries over to the -dev package
  * Should fix socks autodetection (Closes: #118925)

 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 19 Nov 2001 23:17:00 -0700

kdelibs (4:2.2.1-14) unstable; urgency=low

  * Fix overwrite problem (Closes: #116773)
  * Hopefully fix arts for bigendian (Closes: #115292)
  * Sync with upstream

 -- Ivan E. Moore II <rkrusty@debian.org>  Thu, 25 Oct 2001 09:39:00 -0700

kdelibs (4:2.2.1-13) unstable; urgency=low

  * Fix overwrite problem (Closes: #116568)
  * Sync with upstream

 -- Ivan E. Moore II <rkrusty@debian.org>  Sun, 21 Oct 2001 19:27:00 -0700

kdelibs (4:2.2.1-12) unstable; urgency=low

  * more js fixes
  * more ssl fixes
  * gernal sync with upstream


=== debian/control ===
Source: kdelibs
Priority: optional
Maintainer: Christopher L Cheney <ccheney@debian.org>
Build-Depends: debhelper (>> 4.0.0), automake1.5, gettext, libarts1-dev, libasound2-dev, libbz2-dev, libcupsys2-dev, libfam-dev, libpcre3-dev, libqt3-mt-dev, libssl-dev, libtiff3g-dev, libxml2-dev, libxslt1-dev, texinfo, xlibmesa3, xlibs-dev, zlib1g-dev
Build-Depends-Indep: doxygen
Standards-Version: 3.5.6.0

Package: kdelibs
Section: libs
Architecture: all
Depends: kdelibs4 (= ${Source-Version}), kdelibs4-bin (= ${Source-Version}), kdelibs4-data (= ${Source-Version})
Description: KDE core libraries metapackage
 KDE core libraries metapackage.

Package: kdelibs4
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Conflicts: kdelibs3
Replaces: kdelibs3
Description: KDE core libraries
 KDE core libraries.
 You need these libraries to run kde applications.

Package: kdelibs4-bin
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, kdelibs4-data (= ${Source-Version}), python
Provides: kdelibs-bin
Conflicts: kdelibs-bin
Replaces: kdelibs-bin
Description: KDE core binaries
 KDE core binaries.
 You need these binaries to run kde applications.

Package: kdelibs4-data
Section: libs
Architecture: all
Provides: kdelibs-data
Replaces: kdelibs-data
Description: KDE core shared data
 KDE core shared data
 You need these data files to run kde applications.

Package: kdelibs4-dev
Section: devel
Architecture: any
Depends: kdelibs4 (= ${Source-Version}), kdelibs4-bin (= ${Source-Version}), libc6-dev
Provides: kdelibs-dev
Conflicts: kdelibs-dev
Replaces: kdelibs-dev
Description: KDE core libraries (development files)
 KDE core libraries.
 You need these include files to compile kde applications.

Package: kdelibs4-doc
Section: doc
Architecture: all
Provides: kdelibs-doc
Conflicts: kdelibs-doc
Replaces: kdelibs-doc
Description: KDE core library documentation
 KDE core library documentation.
 You need this documentation to develop KDE applications.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=4

# This has to be exported to make some magic below work.
export DH_OPTIONS

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE	?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE	?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

objdir = $(CURDIR)/obj-$(DEB_BUILD_GNU_TYPE)

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

ifeq ($(DEB_BUILD_GNU_TYPE),alpha-linux)
  export CFLAGS +=-O0 -mieee
  export CXXFLAGS +=-O0 -mieee
endif

ifeq ($(DEB_BUILD_GNU_TYPE),i386-linux)
  # Uncomment the following 2 lines to enable i686 optimziation
  # You may want to tweak the settings to your likings
  #export CFLAGS=-O3 -march=i686 -ffast-math -finline-functions
  #export CXXFLAGS=-O3 -march=i686 -ffast-math -finline-functions
  XINERAMA=--with-xinerama
  FAST_MALLOC=--enable-fast-malloc=full
endif

version=`head -1 debian/changelog | sed -e "s#.*(\([^)]*\)).*#Debian Package \1#"` ;

-include debian/debiandirs

debian/debiandirs: admin/debianrules
	perl -w admin/debianrules echodirs > debian/debiandirs

configure: configure-stamp
configure-stamp:
	dh_testdir

	# Apply Debian specific patches
	if test ! -f patch-stamp; then \
		for patch in $(CURDIR)/debian/patches/*.diff ;\
		do \
			echo APPLYING PATCH\: $${patch##*/};\
			patch -p1 < $$patch ;\
		done ;\
		touch patch-stamp ;\
	fi

	# KDE CVS does not have aclocal.m4 or configure
	if test ! -f configure; then \
		$(MAKE) -f admin/Makefile.common ;\
	fi

	# make build directory
	mkdir $(objdir)

	# run configure with build tree $(objdir)
	cd $(objdir) && \
	../configure $(configkde) --x-includes=/usr/X11R6/include \
	--with-distribution="$$version (`cat /etc/debian_version`)" \
	--enable-mitshm --with-alsa --with-ipv6-lookup=yes \
	$(FAST_MALLOC) $(XINERAMA)

	touch configure-stamp

build: build-stamp
build-stamp: configure-stamp 
	dh_testdir

	cd $(objdir) && \
	$(MAKE)

	# create documentation for kdelibs4
	echo Building API Documentation
	doxygen Doxyfile

	touch build-stamp

debian-clean:
	dh_testdir
	dh_testroot

	dh_clean

clean: debian-clean
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp \
		 debian/debiandirs debian/system.kdeglobals

	# Remove Debian specific patches
	if test -f patch-stamp; then \
		for patch in $(CURDIR)/debian/patches/*.diff ;\
		do \
			echo REMOVING PATCH\: $${patch##*/};\
			patch -p1 -R < $$patch ;\
		done ;\
		rm -f patch-stamp ;\
	fi

	# Remove build tree
	rm -rf $(objdir)

	# Remove api docs tree
	rm -rf apidocs

	# if Makefile exists run distclean
	if test -f Makefile; then \
		$(MAKE) distclean; \
	fi

	if test -d CVS; then \
		$(MAKE) -f admin/Makefile.common cvs-clean ;\
	fi

	dh_clean

install: DH_OPTIONS=
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	cd $(objdir) && \
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	
	# create system.kdeglobals
	perl -w admin/debianrules echoglobals > debian/system.kdeglobals

	dh_install

# This single target is used to build all the packages, all at once, or
# one at a time. So keep in mind: any options passed to commands here will
# affect _all_ packages. Anything you want to only affect one package
# should be put in another target, such as the install target.
binary-common:
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
#	dh_installexamples
#	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_undocumented
	dh_installman
	dh_strip
	dh_link
	dh_compress -X.docbook -X.css -X-license -X.dcl -X.bz2
	dh_fixperms
	dh_makeshlibs -V
	dh_installdeb
	dh_perl
	dh_shlibdeps -ldebian/kdelibs4/usr/lib:debian/kdelibs4-bin/usr/lib
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture independant packages using the common target.
binary-indep: build install
	$(MAKE) -f debian/rules DH_OPTIONS=-i binary-common

# Build architecture dependant packages using the common target.
binary-arch: build install
	$(MAKE) -f debian/rules DH_OPTIONS=-a binary-common

# Any other binary targets build just one binary package at a time.
binary-%: build install
	$(MAKE) -f debian/rules binary-common DH_OPTIONS=-p$*

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
